
#ifndef __ADS7843_H__
#define __ADS7843_H__



// Commands bits assignement
// ************************************************
// * S * A2 * A1 * A0 * MODE * SER/DFR# * PD1 * PD0
// ************************************************
// 8 bits
#define ADS7843_CMD_PD0			(1 << 0)
#define ADS7843_CMD_PD1			(1 << 1)
#define ADS7843_CMD_SER			(1 << 2)
#define ADS7843_CMD_DFR			(0 << 2)
#define ADS7843_CMD_MODE_8BITS	(1 << 3)
#define ADS7843_CMD_MODE_12BITS	(0 << 3)
#define ADS7843_CMD_A0			(1 << 4)
#define ADS7843_CMD_A1			(1 << 5)
#define ADS7843_CMD_A2			(1 << 6)
#define ADS7843_CMD_S			(1 << 7)



// PDx (refer to Table V of the ADS7843 datasheet)
#define PD1_0_PD0_0				(0)									// PENIRQ enabled	Power-DownBetween conversion
#define PD1_0_PD0_1				(ADS7843_CMD_PD0)					// PENIRQ disabled	
#define PD1_1_PD0_0				(ADS7843_CMD_PD1)					// PENIRQ enabled
#define PD1_1_PD0_1				(ADS7843_CMD_PD1 | ADS7843_CMD_PD0)	// PENIRQ disabled


#define ADS7843_READ			(ADS7843_CMD_S)	// 0x80


/*********************************/
/*           ADS7843             */
/*********************************/

#ifdef DISPLAY_ROT
#define ADS7843_X	(ADS7843_CMD_A2 | ADS7843_CMD_A0 | ADS7843_CMD_MODE_12BITS | ADS7843_CMD_DFR | PD1_0_PD0_0) // 0xD8 (1101 0000)
#define ADS7843_Y	(ADS7843_CMD_A0 | ADS7843_CMD_MODE_12BITS | ADS7843_CMD_DFR | PD1_0_PD0_0) // 0x98 (1001 0000)
#else
#define ADS7843_X	(ADS7843_CMD_A0 | ADS7843_CMD_MODE_12BITS | ADS7843_CMD_DFR | PD1_0_PD0_0) // 0x98 (1001 0000)
#define ADS7843_Y	(ADS7843_CMD_A2 | ADS7843_CMD_A0 | ADS7843_CMD_MODE_12BITS | ADS7843_CMD_DFR | PD1_0_PD0_0) // 0xD8 (1101 0000)
#endif




//--------------------------------------------------------------
// Defines
//--------------------------------------------------------------

// Enable Debug Output
#define ADS7843_DEBUG 0

// Spi Driver
#define SPI_DRIVER_NAME		TEXT("SPI2:")

// Low sampling rate in ms.
#define TOUCHPANEL_SAMPLE_RATE_LOW					30

// High sampling rate in ms.
#define TOUCHPANEL_SAMPLE_RATE_HIGH					10


#endif //#ifndef __ADS7843_H__
